Bug 365471 - Missing dep: samba-client
Missing dep: samba-client
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: BackupPC (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Johan Cwiklinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-03 20:41 EDT by nathan r. hruby
Modified: 2008-02-07 15:55 EST (History)
0 users

See Also:
Fixed In Version: 3.1.0-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 15:55:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description nathan r. hruby 2007-11-03 20:41:34 EDT
Description of problem:
The default BackupPC config contains entries for smbclient, but the RPM doesn't
depend on samba-client so when trying to start it without samba-client
installed, it will fail.

For example:
[root@repo ~]# service backuppc start
Starting BackupPC: 2007-11-03 18:08:52 $Conf{SmbClientPath} =
'/usr/bin/smbclient' is not a valid executable program
[FAILED]
[root@repo ~]# 

Version-Release number of selected component (if applicable):
BackupPC-3.0.0-3.fc8

How reproducible:
Always.

Steps to Reproduce:
1. yum remove BackupPC samba-client
2. yum install BackupPC
3. service backppc start
  
Actual results:
Fails to start.

Expected results:
Starts :)

Additional info:
Comment 1 Fedora Update System 2007-12-03 06:43:36 EST
BackupPC-3.1.0-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update BackupPC'
Comment 2 Fedora Update System 2008-02-07 15:55:29 EST
BackupPC-3.1.0-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.